/*
 * @(#)IDProviderFactoryTest.java
 *
 * Copyright (C) 2007 Infocity Inc. All Rights Reserved.
 */
package test.info.dragonlady.sso;

import info.dragonlady.sso.IDProvider;
import info.dragonlady.sso.IDProviderFactory;
import junit.framework.TestCase;

/**
 * IDProviderFactoryクラステストケース。
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2007/06/05 18:53:49 $
 */
public class IDProviderFactoryTest extends TestCase {

	/**
	 * @param arg0
	 */
	public IDProviderFactoryTest(String arg0) {
		super(arg0);
	}

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
	}

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	/**
	 * {@link info.dragonlady.sso.IDProviderFactory#getIDProvider()} のためのテスト・メソッド。
	 */
	public final void testGetIDProvider() {
		try {
			assertTrue(IDProviderFactory.getIDProvider() instanceof IDProvider);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/**
	 * {@link info.dragonlady.sso.IDProviderFactory#getIDProvider(java.lang.String)} のためのテスト・メソッド。
	 */
	public final void testGetIDProviderString() {
		try {
			String className = "info.dragonlady.sso.SimpleIDProvider";
			assertTrue(IDProviderFactory.getIDProvider(className) instanceof IDProvider);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

}
